From 7966dbcafcca1a987eb0b412c019411a1686e939 Mon Sep 17 00:00:00 2001
From: Frederic Cambus <fred@statdns.com>
Date: Sun, 5 Nov 2023 21:47:16 +0100
Subject: [PATCH] Append -o flag explicitely in Makefile.in, to fix the build
 with BSD Make. (#36)

Otherwise hash.o and blocks.o are not generated in the 'sha256' and
'sha512' directories and linking fails.
---
 Makefile.in | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/Makefile.in b/Makefile.in
index 348cf5c..2eea968 100644
--- a/Makefile.in
+++ b/Makefile.in
@@ -61,6 +61,9 @@ OBJS = $(PKGNAME).o jpegmarker.o misc.o @GNUGETOPT@ \
 	sha256/hash.o sha256/blocks.o \
 	sha512/hash.o sha512/blocks.o
 
+.c.o:
+	$(CC) $(CFLAGS) -o $@ -c $<
+
 $(PKGNAME):	$(OBJS)
 	$(CC) $(CFLAGS) -o $(PKGNAME) $(OBJS) $(LDFLAGS) $(LIBS)
 
